export const put = async (params: { db: any; doc: any }) => {
  const { db, doc } = params;
  try {
    const previous = await db.get(doc._id);
    doc._rev = previous._rev;
  } catch (error) {
    console.error({ caller: 'put', doc, error });
  }
  console.log({ caller: 'put', doc });
  db.put(doc);
};
